package cn.palmte.work.bean;

/**
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public enum ResolvePlanEnum {
    PLAN_O(-1,""),
    PLAN_A(1,"公共服务(智慧交通、雪亮工程、治安防控体系等)"),
    PLAN_B(2,"泛行业(智慧园区、智慧医疗、智慧工地等)"),
    PLAN_C(3,"其他生态");

    private int resolvePlan;
    private String resolvePlanStr;

    private ResolvePlanEnum(int resolvePlan, String resolvePlanStr) {
        this.resolvePlan = resolvePlan;
        this.resolvePlanStr = resolvePlanStr;
    }

    public int getResolvePlan() {
        return resolvePlan;
    }

    public void setResolvePlan(int resolvePlan) {
        this.resolvePlan = resolvePlan;
    }

    public String getResolvePlanStr() {
        return resolvePlanStr;
    }

    public void setResolvePlanStr(String resolvePlanStr) {
        this.resolvePlanStr = resolvePlanStr;
    }

    public static ResolvePlanEnum parseResolvePlan(int resolvePlan){
        if(resolvePlan == 1){
            return PLAN_A;
        }
        if(resolvePlan == 2){
            return PLAN_B;
        }
        if(resolvePlan == 3){
            return PLAN_C;
        }
        throw new IllegalArgumentException("Unkown resolvePlan:"+resolvePlan);
    }
}
